Subject: Re: linux-next: build warnings

From: Michael Ellerman <[email-masked]>
Date: Tue, 02 May 2017 19:53:25 +1000

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> The linux-next build (powerpc allyesconfig) produced these warnings
> (and have for a while):
>
> arch/powerpc/kvm/book3s_pr_papr.c: In function 'kvmppc_h_pr_enter':
> arch/powerpc/kvm/book3s_pr_papr.c:53:2: warning: ignoring return value of 'copy_from_user', declared with attribute warn_unused_result [-Wunused-result]
>   copy_from_user(pteg, (void __user *)pteg_addr, sizeof(pteg));
>   ^

Thanks, I had seen them, but they're KVM so I'll leave them to Paul to
fix up.

Though we are supposed to be building with -Werror, so those should be
breaking the build. I assume you have turned Werror off?

cheers